Arduino

Serial

## flush()

#### Description

Flushes the buffer of incoming serial data. Any call to Serial.read() or Serial.available() will return only data received after all the most recent call to Serial.flush().

Serial.flush() waits for outgoing data to transmit before clearing the buffer contents.

flush() inherits from the Stream utility class.

#### Syntax

Serial.flush()

Arduino Mega only:
Serial1.flush()
Serial2.flush()
Serial3.flush()

#### Parameters

none

#### Returns

nothing

#### See also

- Serial.read()
- Serial.available()
- Stream.flush()

Reference Home

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes